part of 'general_description_bloc.dart';

abstract class GeneralDescriptionState extends Equatable {
  const GeneralDescriptionState();

  @override
  List<Object> get props => [];
}

class GenDescLoading extends GeneralDescriptionState {}

class GenDescLoaded extends GeneralDescriptionState {
  GenDescLoaded(this.gendesc);
  final GeneralDesc gendesc;

  @override
  List<Object> get props => [gendesc];
}

class GenDescErrorState extends GeneralDescriptionState {
  GenDescErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
